Package org.apache.ignite.platform.dotnet

## Class PlatformDotNetBinaryTypeConfiguration

- java.lang.Object
- - org.apache.ignite.platform.dotnet.PlatformDotNetBinaryTypeConfiguration

-     public class PlatformDotNetBinaryTypeConfiguration
      extends Object

  Mirror of .Net class BinaryTypeConfiguration.cs

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PlatformDotNetBinaryTypeConfiguration()` | Default constructor.
    `PlatformDotNetBinaryTypeConfiguration​(PlatformDotNetBinaryTypeConfiguration cfg)` | Copy constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getAffinityKeyFieldName()` |
    `String` | `getIdMapper()` |
    `@Nullable Boolean` | `getKeepDeserialized()` | Gets keep deserialized flag.
    `String` | `getNameMapper()` |
    `String` | `getSerializer()` |
    `String` | `getTypeName()` |
    `boolean` | `isEnum()` | Gets whether this is enum type.
    `@Nullable Boolean` | `isKeepDeserialized()` | Deprecated. Use `getKeepDeserialized()` instead.
    `PlatformDotNetBinaryTypeConfiguration` | `setAffinityKeyFieldName​(String affinityKeyFieldName)` |
    `PlatformDotNetBinaryTypeConfiguration` | `setEnum​(boolean isEnum)` | Sets whether this is enum type.
    `PlatformDotNetBinaryTypeConfiguration` | `setIdMapper​(String idMapper)` |
    `PlatformDotNetBinaryTypeConfiguration` | `setKeepDeserialized​(@Nullable Boolean keepDeserialized)` | Sets keep deserialized flag.
    `PlatformDotNetBinaryTypeConfiguration` | `setNameMapper​(String nameMapper)` |
    `PlatformDotNetBinaryTypeConfiguration` | `setSerializer​(String serializer)` |
    `PlatformDotNetBinaryTypeConfiguration` | `setTypeName​(String typeName)` |
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PlatformDotNetBinaryTypeConfiguration

          public PlatformDotNetBinaryTypeConfiguration()

      Default constructor.

    - #### PlatformDotNetBinaryTypeConfiguration

          public PlatformDotNetBinaryTypeConfiguration​(PlatformDotNetBinaryTypeConfiguration cfg)

      Copy constructor.
      Parameters:
        `cfg` - configuration to copy.

  - ### Method Detail

    - #### getTypeName

          public String getTypeName()

      Returns:
        Type name.

    - #### setTypeName

          public PlatformDotNetBinaryTypeConfiguration setTypeName​(String typeName)

      Parameters:
        `typeName` - New type name.
      Returns:
        `this` for chaining.

    - #### getNameMapper

          public String getNameMapper()

      Returns:
        Name mapper.

    - #### setNameMapper

          public PlatformDotNetBinaryTypeConfiguration setNameMapper​(String nameMapper)

      Parameters:
        `nameMapper` - New name mapper.
      Returns:
        `this` for chaining.

    - #### getIdMapper

          public String getIdMapper()

      Returns:
        Id mapper.

    - #### setIdMapper

          public PlatformDotNetBinaryTypeConfiguration setIdMapper​(String idMapper)

      Parameters:
        `idMapper` - New id mapper.
      Returns:
        `this` for chaining.

    - #### getSerializer

          public String getSerializer()

      Returns:
        Serializer.

    - #### setSerializer

          public PlatformDotNetBinaryTypeConfiguration setSerializer​(String serializer)

      Parameters:
        `serializer` - New serializer.
      Returns:
        `this` for chaining.

    - #### getAffinityKeyFieldName

          public String getAffinityKeyFieldName()

      Returns:
        Affinity key field name.

    - #### setAffinityKeyFieldName

          public PlatformDotNetBinaryTypeConfiguration setAffinityKeyFieldName​(String affinityKeyFieldName)

      Parameters:
        `affinityKeyFieldName` - Affinity key field name.
      Returns:
        `this` for chaining.

    - #### isKeepDeserialized

          @Deprecated
          @Nullable
          public @Nullable Boolean isKeepDeserialized()

      Deprecated.
      Use `getKeepDeserialized()` instead.
      Gets keep deserialized flag.
      Returns:
        Flag indicates whether to cache deserialized value.

    - #### getKeepDeserialized

          @Nullable
          public @Nullable Boolean getKeepDeserialized()

      Gets keep deserialized flag. See `setKeepDeserialized(Boolean)` for more information.
      Returns:
        Flag indicates whether to cache deserialized value.

    - #### setKeepDeserialized

          public PlatformDotNetBinaryTypeConfiguration setKeepDeserialized​(@Nullable
                                                                           @Nullable Boolean keepDeserialized)

      Sets keep deserialized flag.

      When set to `null` default value taken from `PlatformDotNetBinaryConfiguration.isDefaultKeepDeserialized()` will be used.
      Parameters:
        `keepDeserialized` - Keep deserialized flag.
      Returns:
        `this` for chaining.

    - #### isEnum

          public boolean isEnum()

      Gets whether this is enum type.
      Returns:
        `True` if enum.

    - #### setEnum

          public PlatformDotNetBinaryTypeConfiguration setEnum​(boolean isEnum)

      Sets whether this is enum type.
      Parameters:
        `isEnum` - `True` if enum.
      Returns:
        `this` for chaining.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`